com.smartgwt.client.widgets.drawing

## Class GaugeSector

- java.lang.Object
- - com.smartgwt.client.core.JsObject
  - - com.smartgwt.client.core.DataClass
    - - com.smartgwt.client.core.RefDataClass
      - - com.smartgwt.client.widgets.drawing.GaugeSector

-     public class GaugeSector
      extends RefDataClass

  Represents a sector on the gauge.

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.RefDataClass

      `id`

    - ### Fields inherited from class com.smartgwt.client.core.JsObject

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GaugeSector()`
    `GaugeSector(float value)`
    `GaugeSector(float value, java.lang.String fillColor)`
    `GaugeSector(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getEndAngle()`
    `java.lang.String` | `getFillColor()`
    `static GaugeSector` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `float` | `getStartAngle()`
    `float` | `getValue()`
    `void` | `setEndAngle(float endAngle)`
    `void` | `setFillColor(java.lang.String fillColor)`
    `void` | `setJavaScriptObject(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `void` | `setStartAngle(float startAngle)`
    `void` | `setValue(float value)`

    - ### Methods inherited from class com.smartgwt.client.core.RefDataClass

      `getRef, getRef, internalSetID`

    - ### Methods inherited from class com.smartgwt.client.core.DataClass

      `doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, getJsObj, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject`

    - ### Methods inherited from class com.smartgwt.client.core.JsObject

      `equals, hashCode, isCreated, setJsObj`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GaugeSector

          public GaugeSector()

    - #### GaugeSector

          public GaugeSector(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### GaugeSector

          public GaugeSector(float value)

    - #### GaugeSector

          public GaugeSector(float value,
                     java.lang.String fillColor)

  - ### Method Detail

    - #### getOrCreateRef

          public static GaugeSector getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### setJavaScriptObject

          public void setJavaScriptObject(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### setEndAngle

          public void setEndAngle(float endAngle)

      Parameters:
        `endAngle` - endAngle Default value is 0

    - #### getEndAngle

          public float getEndAngle()

      Returns:
        float

    - #### setFillColor

          public void setFillColor(java.lang.String fillColor)

      Parameters:
        `fillColor` - . See `CSSColor`. Default value is null

    - #### getFillColor

          public java.lang.String getFillColor()

      Returns:
        . See `CSSColor`

    - #### setStartAngle

          public void setStartAngle(float startAngle)

      Parameters:
        `startAngle` - startAngle Default value is 0

    - #### getStartAngle

          public float getStartAngle()

      Returns:
        float

    - #### setValue

          public void setValue(float value)

      Parameters:
        `value` - value Default value is 0

    - #### getValue

          public float getValue()

      Returns:
        float